#include <stdio.h>
#include <string.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <unistd.h>
#include <fcntl.h>
#include <vector>

#include "pose2d.h"
#include <thread>
#include <mutex>
#include <math.h>
#include "RobotMonitorNode.h"


int main(int argc, char* argv[])
{



  //server.SetRecvCallback(recv_func);
 // server.Bind(34000);
  RobotMonitorNode node("robot1","AgvStatu/robot1","AgvCmd/cmd1");
  node.Connect("192.168.2.132",1883);


  for (;;){
    usleep(1000*50);
  }
  return 0;
}




